netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ddp_input.c File Reference
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/mbuf.h>`
`#include <sys/socket.h>`
`#include <sys/socketvar.h>`
`#include <atalk/logger.h>`
`#include <net/if.h>`
`#include <net/route.h>`
`#include "at.h"`
`#include "at_var.h"`
`#include "ddp.h"`
`#include "ddp_var.h"`
`#include <ctype.h>`

## Macros
#define | BPXLEN 48
#define | BPALEN 16

## Functions
unsigned short | at_cksum ()
| atintr ()
| ddp_input (struct mbuf *m, struct ifnet *ifp, struct elaphdr *elh, int phase)
| m_printm (struct mbuf *m)
| bprint (char *data, int len)

## Variables
int | ddp_forward = 1
int | ddp_firewall = 0
int | ddp_cksum
struct route | forwro
char | hexdig [] = "0123456789ABCDEF"

## Macro Definition Documentation

## ◆ BPALEN

#define BPALEN 16

## ◆ BPXLEN

#define BPXLEN 48

## Function Documentation

## ◆ at_cksum()

unsigned short at_cksum | ( |  | ) |
| extern

## ◆ atintr()

atintr | ( |  | ) |

## ◆ bprint()

bprint | ( | char * | data,
|  | int | len )

## ◆ ddp_input()

ddp_input | ( | struct mbuf * | m,
|  | struct ifnet * | ifp,
|  | struct elaphdr * | elh,
|  | int | phase )

## ◆ m_printm()

m_printm | ( | struct mbuf * | m | ) |

## Variable Documentation

## ◆ ddp_cksum

int ddp_cksum
| extern

## ◆ ddp_firewall

int ddp_firewall = 0

## ◆ ddp_forward

int ddp_forward = 1

## ◆ forwro

struct route forwro

## ◆ hexdig

char hexdig[] = "0123456789ABCDEF"